libtext-levenshtein-perl_0.13-1_all.deb


Advertisement

Description

libtext-levenshtein-perl - implementation of the Levenshtein edit distance

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libtext-levenshtein-perl_0.13-1_all.deb
Package name libtext-levenshtein-perl
Package version 0.13
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/Text-Levenshtein
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 9.39 KB
Installed size 25.00 KB
Text::Levenshtein implements the Levenshtein edit distance. The Levenshtein
edit distance is a measure of the degree of proximity between two strings.
This distance is the number of substitutions, deletions or insertions
("edits") needed to transform one string into the other one (and vice versa).
When two strings have distance 0, they are the same.

Alternatives

Package Version Architecture Repository
libtext-levenshtein-perl_0.13-1_all.deb 0.13 all Ubuntu Main
libtext-levenshtein-perl - - -

Requires

Name Value
libunicode-collate-perl >= 1.04
perl >= 5.19.7
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libtext-levenshtein-perl_0.13-1_all.deb
Source Package libtext-levenshtein-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtext-levenshtein-perl deb package:
    # sudo apt-get install libtext-levenshtein-perl

Files

Path
/usr/share/doc/libtext-levenshtein-perl/changelog.Debian.gz
/usr/share/doc/libtext-levenshtein-perl/copyright
/usr/share/man/man3/Text::Levenshtein.3pm.gz
/usr/share/perl5/Text/Levenshtein.pm

Changelog

2015-09-02 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libtext-levenshtein-perl (0.13-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.13
* Bump debhelper compatibility level to 9
2015-05-10 - gregor herrmann <gregoa@debian.org>
libtext-levenshtein-perl (0.12-1) unstable; urgency=medium
* Import upstream version 0.12.
* Update years of packaging copyright.
* Add (build) dependency on Unicode::Collate 1.04.
2014-10-26 - gregor herrmann <gregoa@debian.org>
libtext-levenshtein-perl (0.11-1) unstable; urgency=medium
* Import upstream version 0.11
2014-10-25 - gregor herrmann <gregoa@debian.org>
libtext-levenshtein-perl (0.10-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Add debian/upstream/metadata
* Import upstream version 0.10
* Declare compliance with Debian Policy 3.9.6.
* Mark package as autopkgtest-able.
2014-05-10 - gregor herrmann <gregoa@debian.org>
libtext-levenshtein-perl (0.09-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
* New upstream release.
* Drop patch fix-manpage, merged upstream.
* Update debian/copyright.
New Upstream-Contact, new upstream copyright holders, extended years of
packaging copyright.
* Declare compliance with Debian Policy 3.9.5.
2012-12-24 - gregor herrmann <gregoa@debian.org>
libtext-levenshtein-perl (0.06~01-2) unstable; urgency=low
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ryan Niebur ]
* Email change: Ryan Niebur -> ryan@debian.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Dmitry Shachnev ]
* Fixed lintian warnings (Closes: #696639):
- ancient-standards-version: bumped to 3.9.4.
- debian-rules-missing-recommended-target: added build-arch and
build-indep targets.
- wiki-copyright-format-uri: updated debian/copyright to the latest
format.
* Removed dead link from package description (Closes: #695754).
[ gregor herrmann ]
* debian/copyright: update license stanzas.
* Switch to "3.0 (quilt)" source format. Drop quilt build dependency.
Use shortform dh(1) in debian/rules.
* Use debhelper 8.
* Add /me to Uploaders.
2009-01-19 - Ryan Niebur <ryanryan52@gmail.com>
libtext-levenshtein-perl (0.06~01-1) unstable; urgency=low
* Initial Release. (Closes: #512267)

See Also

Package Description
libtext-wrapi18n-perl_0.06-7.1_all.deb internationalized substitute of Text::Wrap
libtextwrap-dev_0.1-14_amd64.deb text-wrapping library with i18n - development files
libtextwrap1_0.1-14_amd64.deb text-wrapping library with i18n - runtime
libthai-data_0.1.24-2_all.deb Data files for Thai language support library
libthai-dev_0.1.24-2_amd64.deb Development files for Thai language support library
libthai-doc_0.1.24-2_all.deb Documentation files for Thai language support library
libthai0_0.1.24-2_amd64.deb Thai language support library
libtheora-dev_1.1.1+dfsg.1-8_amd64.deb Theora Video Compression Codec (development files)
libtheora-doc_1.1.1+dfsg.1-8_all.deb Theora Video Compression Codec (documentation)
libtheora0_1.1.1+dfsg.1-8_amd64.deb Theora Video Compression Codec
libtidy-0.99-0_20091223cvs-1.5_amd64.deb HTML syntax checker and reformatter - library
libtidy-dev_20091223cvs-1.5_amd64.deb HTML syntax checker and reformatter - development
libtie-ixhash-perl_1.23-2_all.deb Perl module to order associative arrays
libtiff-doc_4.0.6-1_all.deb TIFF manipulation and conversion documentation
libtiff5-dev_4.0.6-1_amd64.deb Tag Image File Format library (TIFF), development files
Advertisement
Advertisement